import { OnInit, EventEmitter, OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import { DatePickerComponent } from 'ng2-date-picker';
import { SnackBarService } from '../../../ui-kit/snack-bar/snack-bar.service';
import { CommonService } from '../../../services/common.service';
import * as i0 from "@angular/core";
export declare class CheckpointsQuestionsComponent implements OnInit, OnChanges {
    private elementRef;
    private snackbar;
    private commonService;
    constructor(elementRef: ElementRef, snackbar: SnackBarService, commonService: CommonService);
    checkpointData: any;
    questionTypeList: never[];
    errorIndex: number;
    checkpointInstruction: string;
    createQuestion: EventEmitter<any>;
    deleteQuestion: EventEmitter<any>;
    copyQuestion: EventEmitter<any>;
    blankQuestion: EventEmitter<any>;
    createOption: EventEmitter<any>;
    removeOption: EventEmitter<any>;
    updateDescription: EventEmitter<any>;
    datePicker: DatePickerComponent;
    datePickerPopUp: ElementRef;
    datePickerOverlay: boolean;
    activeQuestionIndex: number;
    addInstruction: boolean;
    placeholder: any;
    description: any;
    ngOnInit(): void;
    saveDescription(): void;
    extractContent(s: string): string;
    ngOnChanges(changes: SimpleChanges): void;
    openDatePicker(): void;
    closeDatepicker(): void;
    addQuestion(type: any): void;
    removeQuestion(index: number): void;
    cloneQuestion(index: number): void;
    blankClone(type: string, index: number): void;
    addOption(questionIndex: number, optionIndex: number, type: string): void;
    deleteOption(questionIndex: number, optionIndex: number, type: string): void;
    deleteOnBackspace(questionIndex: number, optionIndex: number, type: string): void;
    documentClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckpointsQuestionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckpointsQuestionsComponent, "app-checkpoints-questions", never, { "checkpointData": { "alias": "checkpointData"; "required": false; }; "questionTypeList": { "alias": "questionTypeList"; "required": false; }; "errorIndex": { "alias": "errorIndex"; "required": false; }; "checkpointInstruction": { "alias": "checkpointInstruction"; "required": false; }; }, { "createQuestion": "createQuestion"; "deleteQuestion": "deleteQuestion"; "copyQuestion": "copyQuestion"; "blankQuestion": "blankQuestion"; "createOption": "createOption"; "removeOption": "removeOption"; "updateDescription": "updateDescription"; }, never, never, false, never>;
}
